Subject: RE: [MIB-DOCTORS] Help: use of TransportDomain/Address (RFC3419) vs TDomain/TAddres s (RFC2579)

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 6 Sep 2006 00:00:16 +0200

Inline

> -----Original Message-----
> From: David T. Perkins [mailto:[email-masked]]
> Sent: Tuesday, September 05, 2006 22:51
> To: Wijnen, Bert (Bert)
> Cc: MIB Doctors (E-mail)
> Subject: Re: [MIB-DOCTORS] Help: use of TransportDomain/Address
> (RFC3419) vs TDomain/TAddres s (RFC2579)
> 
> HI,
> 
> Sorry, I don't have the docs handy to look up this question...
> 
> I seems a bit overkill to use an OID value for the descriminator
> for the union. Isn't there an appropriate enum TC that
> could be used to indicate the transport address type?
> 

Well, I had thought about InetAddressType/Address/PortNumber set of
TCs, but it does not include a format for a MAC address, and we
all know why. So in order to cater for that, I think we need
to go woth the OID approach, no?

> .. snip ..

> Regards,
> /david t. perkins
> 
> On Tue, 5 Sep 2006, Wijnen, Bert (Bert) wrote:
> 
> > I have been discussing this off-line somewhat with Juergen.
> > He needs to do a reread of 3419 to make up his mind.
> > 
> > I would like to see if we have (or can come to) mib-doctor
> > consensus on this. I am advising the 802.1ag MIB editors
> > and have currently this proposal described below.
> > 
> > However, Juergen has hinted that it may be better toi use 
> > TDomain/Taddress SYNTAX instead. Or if we stick to this, 
> > we may have to add something to the DESCRIPTION clauses
> > that this is for SNMP messages and so needs to comply
> > with SNMP semantics (as described in the Transport-Mapping
> > for SNMP).
> > 
> > Comments?
> > 
> > Betr
> > 
> > ---- the proposal:
> > 
> > dot1agCfmMdFaultAlarmDestDomain OBJECT-TYPE
> >     SYNTAX      TransportDomain
> >     MAX-ACCESS  read-create
> >     STATUS      current
> >     DESCRIPTION
> >        "The transportDomain for the address to which Fault Alarms
> >         are to be transmitted.
> > 
> >         Typical values will be one of (not all inclusive) list:
> > 
> >            transportDomainUdpIpv4  (from TRANSPORT-ADDRESS-MIB)
> >            transportDomainUdpIpv6  (from TRANSPORT-ADDRESS-MIB)
> >            snmpIeee802Domain       (from SNMP-IEEE802-TM-MIB)
> > 
> >         The value 'zeroDotZero' indicates 'Fault Alarms are not to
> >         be transmitted', in which case the related object of SYNTAX
> >         TransportAddress must have a zero-length OCTET STRING as
> >         a value.
> >        "
> >     REFERENCE
> >        "802.1ag clause 12.14.5.1.3 d)"
> >     DEFVAL { zeroDotZero }
> >     ::= { dot1agCfmMdEntry 6 }
> > 
> > dot1agCfmMdFaulAlarmDestAddress OBJECT-TYPE
> >     SYNTAX      TransportAddress
> >     MAX-ACCESS  read-create
> >     STATUS      current
> >     DESCRIPTION
> >        "The transportAddress to which Fault Alarms are to be
> >         transmitted to. The type/format of this object is determined
> >         by the value of the dot1agCfmMdFaultAlarmDestDomain.
> > 
> >         If the dot1agCfmMdFaultAlarmDestDomain object has a value of
> >         'zeroDotZero' (indicating 'Fault Alarms are not to be
> >         transmitted') then this object should have a value of a
> >         zero-length OCTET STRING.
> >        "
> >     REFERENCE
> >        "802.1ag clause 12.14.5.1.3 d)"
> >     DEFVAL { "" }
> >     ::= { dot1agCfmMdEntry 7 }
> > 
> > _______________________________________________
> > MIB-DOCTORS mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/mib-doctors
> > 
> 

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors